#include <bits/stdc++.h>
using namespace std;
int main(){
ios_base::sync_with_stdio(false);
long long n;
cin >>n;
int DP[10]={0,1,1,2,2,1,2,2,3,3};
int rez=0;
while(n){
rez+=DP[n%10];
n/=10;
}
cout <<rez<<endl;
}